# -*- coding: utf-8 -*-

from __future__ import (absolute_import, division,
                        print_function, unicode_literals)
from builtins import *

from django.contrib.auth.context_processors import PermWrapper

def auth(request):
    if hasattr(request, 'real_user'):
        return {
            'user': request.real_user,
            'perms': PermWrapper(request.real_user),
        }
    return {}
